// BubbleIcon.java
// By Ned Etcode
// Copyright 1995, 1996 Netscape Communications Corp.  All rights reserved.

import netscape.application.*;
import netscape.util.*;

public class BubbleIcon extends IconView {
    Image image;

    public BubbleIcon(int x, int y) {
        super();

        image = Bitmap.bitmapNamed("bublSelt.gif");
        setBounds(x, y, image.width(), image.height());
        setBuffered(true);
    }

    public boolean isTransparent() {
        return true;
    }

    public void drawView(Graphics g) {
        super.drawView(g);
        Bitmap.bitmapNamed("bublSelt.gif").drawCentered(g, 0, 0, width(), height());
    }

    public DrawingSequence newSequence() {
        return new Bubble();
    }
}
