// Movable.java
// By Ned Etcode
// Copyright 1995, 1996 Netscape Communications Corp.  All rights reserved.

import netscape.application.*;
import netscape.util.*;

/** All of our different DrawingSequences need to be queried as to their
  * current and previously-drawn regions, and informed about their initial
  * position and range limits.
  */
public interface Movable {
    public void setPosition(int x, int y);
    public void setTankBounds(int x, int y, int width, int height);
    public Rect currentBounds();
    public Rect lastBounds();
}
