import netscape.application.*;
import netscape.util.*;

class PurchaseItem extends ListItem {
    Hashtable productInfo;

    PurchaseItem() {
        super();
    }

    void setProductInfo(Hashtable productInfo) {
        this.productInfo = productInfo;
    }

    Hashtable productInfo() {
        return productInfo;
    }

    public boolean isTransparent() {
        return true;
    }

    public void drawInRect(Graphics g, Rect boundsRect) {
        String name = (String)productInfo.get("NAME");
        String dollars = (String)productInfo.get("DOLLARS");
        String cents = (String)productInfo.get("CENTS");
        String price = "$" + dollars + "." + cents;
        Rect rect;

        rect = new Rect(boundsRect);
        rect.growBy(-4, 0);

        drawBackground(g, boundsRect);
        g.setFont(font());
        g.setColor(Color.black);
        g.drawStringInRect(name, rect, Graphics.LEFT_JUSTIFIED);
        g.drawStringInRect(price, rect, Graphics.RIGHT_JUSTIFIED);
    }

}